TransactionRef (Apache Tomcat 10.0.27 API Documentation)

Package org.apache.naming

## Class TransactionRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.TransactionRef

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class TransactionRef
      extends AbstractRef

  Represents a reference address to a transaction.
  Author:
    Remy Maucherat
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_FACTORY` | Default factory for this reference.

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionRef()` | Resource Reference.
    `TransactionRef​(java.lang.String factory, java.lang.String factoryLocation)` | Resource Reference.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getDefaultFactoryClassName()` |

    - ### Methods inherited from class org.apache.naming.AbstractRef

      `getFactoryClassName, toString`

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FACTORY

          public static final java.lang.String DEFAULT_FACTORY

      Default factory for this reference.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransactionRef

          public TransactionRef()

      Resource Reference.

    - #### TransactionRef

          public TransactionRef​(java.lang.String factory,
                                java.lang.String factoryLocation)

      Resource Reference.
      Parameters:
        `factory` - The factory class
        `factoryLocation` - The factory location

  - ### Method Detail

    - #### getDefaultFactoryClassName

          protected java.lang.String getDefaultFactoryClassName()

      Specified by:
        `getDefaultFactoryClassName` in class `AbstractRef`